### Installing PortAssist Manager: UNIX

Use these procedures if you are installing, configuring, and starting the PortAssist Manager server on a UNIX system for the first time.

If you need to reconfigure the PortAssist Manager HTTP port, go to Reconfiguring the HTTP Port.

If you need to upgrade PortAssist Manager, go to Upgrading PortAssist Manager.

If you need to uninstall PortAssist Manager, go to Uninstalling PortAssist Manager.

#### Requirements

Before you begin these procedures you should have done the following:

- Ensured that your UNIX system meets the installation requirements.
- Have the Access Resource CD available or have downloaded PortAssist Manager from the PortAssist Manager web site (www.portassist.com).

#### Procedures

Note: You can install using either the graphical user interface (GUI) or the command line interface (CLI). In addition you can install using the CD or by downloading PortAssist Manager. Choose one of the following:

- GUI from CD
- GUI by downloading
- CLI from CD
- CLI by downloading

Installation: GUI

Note:

1. Navigate to the folder with the PortAssist Manager software.
2. Enter

   `./setup`

3. Choose which Java Virtual Machine (JVM) to use and then Enter. You will be prompted for this.

   Note: If the installation program cannot find a supported JVM, you may enter the path to this software as a command-line argument. For example, you can enter on the command line:

   .`/setup jvmpath`

   You can download a JVM from:

   http://www.portassist.com/jvm

4. The Digi Java Setup screen appears. Choose Next.
5. Choose the destination directory. The default is /usr/local/pam.
6. Specify a port (default is 8080) and choose Next.

   Note: Some ports are not allowed, such as those with numbers outside the range of 1024 to 65535 except 80.

7. Follow the prompts to complete installation. When the installation is complete, PortAssist Manager will be automatically started as a daemon process.

##### Installation: CLI

1. Navigate to the folder with the PortAssist Manager software.
2. Enter:

   `./setup`

3. Choose which Java Virtual Machine (JVM) to use and then Enter. You will be prompted for this.

   Note: If the installation program cannot find a supported JVM, you may enter the path to this software as a command-line argument. For example, you can enter on the command line:

   .`/setup jvmpath`

   You can download a JVM from

   http://www.portassist.com/jvm

4. The Digi Java CLI Setup screen appears. Press Enter.
5. Choose the destination directory (the default is /usr/local/pam) and press Enter.
6. Specify a port (the default is 8080) and press Enter.

   Note: Some ports are not allowed, such as those with numbers outside the range of 1024 to 65535 except 80.

7. Follow the prompts to complete installation. When the installation is complete, PortAssist Manager will be automatically started as a daemon process.
8. You now need to complete initial configuration, which involves assigning an administrator password, configuring a list of users, and configuring a list of systems to manage. Go to Configuring PortAssist Manager.